<?php

namespace App\Classes\Modules\Companies\DataTransferObjects;

use App\Classes\General\Interfaces\DataTransferObject;

class EInvoiceRequestDTO implements DataTransferObject
{
    public bool $eInvoiceRequest;
    public int $companyId;

    public function __construct(array $data)
    {
        $this->eInvoiceRequest = $data['e_invoice_request'];
        $this->companyId = $data['company_id'];
    }

    public function toArray(): array
    {
        return [
            'e_invoice_request' => $this->eInvoiceRequest,
            'company_id' => $this->companyId,
        ];
    }
}
